import { createNodeParser } from "./creator";
import { createPlainNode } from "./PlainNode";
const blankRegExp = /\[\s+\]/;
const createBlankNode = (raw, opts) => opts.context === "table"
    ? createPlainNode(raw, opts)
    : [
        {
            type: "blank",
            raw,
            text: raw.substring(1, raw.length - 1),
        },
    ];
export const BlankNodeParser = createNodeParser(createBlankNode, {
    parseOnNested: false,
    parseOnQuoted: true,
    patterns: [blankRegExp],
});
//# sourceMappingURL=BlankNode.js.map