import { createNodeParser } from "./creator";
import { createPlainNode } from "./PlainNode";
const formulaWithTailHalfSpaceRegExp = /\[\$ .+? \]/;
const formulaRegExp = /\[\$ [^\]]+\]/;
const createFormulaNode = (raw, opts) => opts.context === "table"
    ? createPlainNode(raw, opts)
    : [
        {
            type: "formula",
            raw,
            formula: raw.substring(3, raw.length - (raw.endsWith(" ]") ? 2 : 1)),
        },
    ];
export const FormulaNodeParser = createNodeParser(createFormulaNode, {
    parseOnNested: false,
    parseOnQuoted: true,
    patterns: [formulaWithTailHalfSpaceRegExp, formulaRegExp],
});
//# sourceMappingURL=FormulaNode.js.map