import { createNodeParser } from "./creator";
import { createPlainNode } from "./PlainNode";
const helpfeelRegExp = /^\? .+$/;
const createHelpfeelNode = (raw, opts) => opts.context === "table"
    ? createPlainNode(raw, opts)
    : [
        {
            type: "helpfeel",
            raw,
            text: raw.substring(2),
        },
    ];
export const HelpfeelNodeParser = createNodeParser(createHelpfeelNode, {
    parseOnNested: false,
    parseOnQuoted: false,
    patterns: [helpfeelRegExp],
});
//# sourceMappingURL=HelpfeelNode.js.map