import { convertToNodes } from ".";
import { createNodeParser } from "./creator";
import { createPlainNode } from "./PlainNode";
const quoteRegExp = /^>.*$/;
const createQuoteNode = (raw, opts) => opts.context === "table"
    ? createPlainNode(raw, opts)
    : [
        {
            type: "quote",
            raw,
            nodes: convertToNodes(raw.substring(1), { ...opts, quoted: true }),
        },
    ];
export const QuoteNodeParser = createNodeParser(createQuoteNode, {
    parseOnNested: false,
    parseOnQuoted: false,
    patterns: [quoteRegExp],
});
//# sourceMappingURL=QuoteNode.js.map