import { convertToNodes } from ".";
import { createNodeParser } from "./creator";
import { createPlainNode } from "./PlainNode";
const strongRegExp = /\[\[(?:[^[]|\[[^[]).*?\]*\]\]/;
const createStrongNode = (raw, opts) => opts.context === "table"
    ? createPlainNode(raw, opts)
    : [
        {
            type: "strong",
            raw,
            nodes: convertToNodes(raw.substring(2, raw.length - 2), {
                ...opts,
                nested: true,
            }),
        },
    ];
export const StrongNodeParser = createNodeParser(createStrongNode, {
    parseOnNested: false,
    parseOnQuoted: true,
    patterns: [strongRegExp],
});
//# sourceMappingURL=StrongNode.js.map