"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BlankNodeParser = void 0;
const creator_1 = require("./creator");
const PlainNode_1 = require("./PlainNode");
const blankRegExp = /\[\s+\]/;
const createBlankNode = (raw, opts) => opts.context === "table"
    ? (0, PlainNode_1.createPlainNode)(raw, opts)
    : [
        {
            type: "blank",
            raw,
            text: raw.substring(1, raw.length - 1),
        },
    ];
exports.BlankNodeParser = (0, creator_1.createNodeParser)(createBlankNode, {
    parseOnNested: false,
    parseOnQuoted: true,
    patterns: [blankRegExp],
});
//# sourceMappingURL=BlankNode.js.map