"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CodeNodeParser = void 0;
const creator_1 = require("./creator");
const PlainNode_1 = require("./PlainNode");
const codeRegExp = /`.*?`/;
const createCodeNode = (raw, opts) => opts.context === "table"
    ? (0, PlainNode_1.createPlainNode)(raw, opts)
    : [
        {
            type: "code",
            raw,
            text: raw.substring(1, raw.length - 1),
        },
    ];
exports.CodeNodeParser = (0, creator_1.createNodeParser)(createCodeNode, {
    parseOnNested: false,
    parseOnQuoted: true,
    patterns: [codeRegExp],
});
//# sourceMappingURL=CodeNode.js.map