"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HelpfeelNodeParser = void 0;
const creator_1 = require("./creator");
const PlainNode_1 = require("./PlainNode");
const helpfeelRegExp = /^\? .+$/;
const createHelpfeelNode = (raw, opts) => opts.context === "table"
    ? (0, PlainNode_1.createPlainNode)(raw, opts)
    : [
        {
            type: "helpfeel",
            raw,
            text: raw.substring(2),
        },
    ];
exports.HelpfeelNodeParser = (0, creator_1.createNodeParser)(createHelpfeelNode, {
    parseOnNested: false,
    parseOnQuoted: false,
    patterns: [helpfeelRegExp],
});
//# sourceMappingURL=HelpfeelNode.js.map