"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.QuoteNodeParser = void 0;
const _1 = require(".");
const creator_1 = require("./creator");
const PlainNode_1 = require("./PlainNode");
const quoteRegExp = /^>.*$/;
const createQuoteNode = (raw, opts) => opts.context === "table"
    ? (0, PlainNode_1.createPlainNode)(raw, opts)
    : [
        {
            type: "quote",
            raw,
            nodes: (0, _1.convertToNodes)(raw.substring(1), { ...opts, quoted: true }),
        },
    ];
exports.QuoteNodeParser = (0, creator_1.createNodeParser)(createQuoteNode, {
    parseOnNested: false,
    parseOnQuoted: false,
    patterns: [quoteRegExp],
});
//# sourceMappingURL=QuoteNode.js.map