"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StrongNodeParser = void 0;
const _1 = require(".");
const creator_1 = require("./creator");
const PlainNode_1 = require("./PlainNode");
const strongRegExp = /\[\[(?:[^[]|\[[^[]).*?\]*\]\]/;
const createStrongNode = (raw, opts) => opts.context === "table"
    ? (0, PlainNode_1.createPlainNode)(raw, opts)
    : [
        {
            type: "strong",
            raw,
            nodes: (0, _1.convertToNodes)(raw.substring(2, raw.length - 2), {
                ...opts,
                nested: true,
            }),
        },
    ];
exports.StrongNodeParser = (0, creator_1.createNodeParser)(createStrongNode, {
    parseOnNested: false,
    parseOnQuoted: true,
    patterns: [strongRegExp],
});
//# sourceMappingURL=StrongNode.js.map